# PointVisualizer

#### new Cesium.PointVisualizer(entityCluster, entityCollection)
DataSources/PointVisualizer.js 45

A `Visualizer` which maps `Entity#point` to a `PointPrimitive`.

Name | Type | Description
--- | --- | ---
`entityCluster` | EntityCluster | The entity cluster to manage the collection of billboards and optionally cluster with other entities.
`entityCollection` | EntityCollection | The entityCollection to visualize.

### Methods

#### destroy()
DataSources/PointVisualizer.js 362

Removes and destroys all primitives created by this instance.

#### isDestroyed() → Boolean
DataSources/PointVisualizer.js 355

Returns true if this object was destroyed; otherwise, false.

##### Returns:

True if this object was destroyed; otherwise, false.

#### update(time) → Boolean
DataSources/PointVisualizer.js 73

Updates the primitives created by this visualizer to match their Entity counterpart at the given time.

Name | Type | Description
--- | --- | ---
`time` | JulianDate | The time to update to.

##### Returns:

This function always returns true.